gtkmm: Gtk::CallbackAction Class Reference

gtkmm 4.14.0

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::CallbackAction Class Reference

A Gtk::ShortcutAction that invokes a callback. More...

`#include <gtkmm/shortcutaction.h>`

Inheritance diagram for Gtk::CallbackAction:
[legend]

## Public Types
using | SlotShortcut = sigc::slot<bool(Widget&, const Glib::VariantBase&)>
| Slot for shortcuts based on user callbacks.
Public Types inherited from Gtk::ShortcutAction
enum class | Flags { EXCLUSIVE = 1 << 0 }

## Public Member Functions
| CallbackAction (CallbackAction &&src) noexcept
CallbackAction & | operator= (CallbackAction &&src) noexcept
| ~CallbackAction () noexcept override
GtkCallbackAction * | gobj ()
| Provides access to the underlying C GObject.
const GtkCallbackAction * | gobj () const
| Provides access to the underlying C GObject.
GtkCallbackAction * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Public Member Functions inherited from Gtk::ShortcutAction
| ShortcutAction (ShortcutAction &&src) noexcept
ShortcutAction & | operator= (ShortcutAction &&src) noexcept
| ~ShortcutAction () noexcept override
GtkShortcutAction * | gobj ()
| Provides access to the underlying C GObject.
const GtkShortcutAction * | gobj () const
| Provides access to the underlying C GObject.
GtkShortcutAction * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | to_string () const
| Prints the given action into a human-readable string.
bool | activate (Widget &widget, Flags flags=static_cast< Flags >(0), const Glib::VariantBase &args={})
| Activates the action on the widget with the given args.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< CallbackAction > | create (const SlotShortcut &slot)
Static Public Member Functions inherited from Gtk::ShortcutAction
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< ShortcutAction > | parse_string (const Glib::ustring &string)
| Tries to parse the given string into an action.

## Protected Member Functions
| CallbackAction (const SlotShortcut &slot)
Protected Member Functions inherited from Gtk::ShortcutAction
| ShortcutAction ()

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::CallbackAction > | wrap (GtkCallbackAction *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ShortcutAction
Glib::RefPtr< Gtk::ShortcutAction > | wrap (GtkShortcutAction *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Gtk::ShortcutAction that invokes a callback.

## Member Typedef Documentation

## ◆ SlotShortcut

using Gtk::CallbackAction::SlotShortcut = sigc::slot<bool(Widget&, const Glib::VariantBase&)>

Slot for shortcuts based on user callbacks.

For instance:

void on_shortcut(Widget& widget, const Glib::VariantBase& args);
Gtk::Widget
Abstract Widget (Base class for all widgets)
Definition widget.h:127

Parameters

  widget | The widget passed to the activation.
  args | The arguments passed to the activation. Can be empty, if there are no arguments.

## Constructor & Destructor Documentation

## ◆ CallbackAction() [1/2]

Gtk::CallbackAction::CallbackAction | ( | CallbackAction && | src | ) |
| noexcept

## ◆ ~CallbackAction()

Gtk::CallbackAction::~CallbackAction | ( |  | ) |
| overridenoexcept

## ◆ CallbackAction() [2/2]

Gtk::CallbackAction::CallbackAction | ( | const SlotShortcut & | slot | ) |
| explicitprotected

## Member Function Documentation

## ◆ create()

static Glib::RefPtr< CallbackAction > Gtk::CallbackAction::create | ( | const SlotShortcut & | slot | ) |
| static

## ◆ get_type()

static GType Gtk::CallbackAction::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkCallbackAction * Gtk::CallbackAction::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkCallbackAction * Gtk::CallbackAction::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkCallbackAction * Gtk::CallbackAction::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

CallbackAction & Gtk::CallbackAction::operator= | ( | CallbackAction && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::CallbackAction > wrap | ( | GtkCallbackAction * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.